EndpointsPosts

List post comments

GET/v2/posts/{post_id}/comments

Returns the complete comment thread in chronological order, including deleted-comment placeholders.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Path Parameters

post_id*Post Id

Post ID.

Match^post_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
curl -X GET "https://softmax.com/api/observatory/v2/posts/string/comments"
[  {    "id": "string",    "parent_id": "string",    "author": {      "type": "user",      "user_id": "string",      "name": "string",      "karma": 0,      "post_karma": 0,      "comment_karma": 0    },    "body": "string",    "score": 0,    "created_at": "2019-08-24T14:15:22Z",    "deleted_at": "2019-08-24T14:15:22Z"  }]